# bubbles.js
Allows bubbles to be created and be moved around randomly in any part of the HTML DOM with Javascript and JQuery.

# How to Use
Install bubbles.js and include it into your HTML page that is utilizing JQuery.

```HTML
<!-- commonly goes right before the </body> tag. -->
<script src="bubbles.js"></script>
```

Once you have linked to the bubbles.js file, you will want to adjust the preset settings of the bubbles.

```Javascript
/* the node that bubbles will appear inside */
var insideNode = "#bubbleContainer";    // type this as you would in css: #id, .class, element
/* the total amount of bubbles to appear inside the node */
var totalBubbles = 15;
/* maximum time to move the bubble from x to y in milliseconds */
var maxTimeToMove = 1500;
/* minimum time to move the bubble from x to y in milliseconds */
var minTimeToMove = 500;
```

If you were to not change these variables then the program will look for the id "bubbleContainer" in your HTML document.
If it found that element it will then fill it with 15 bubbles.

Once you have added your desired properties, you'll then want to go to the element that you want to add your bubbles to and simply add a new div with the class "bubble".  For example we placed the <code>div</code> with the class bubble, into another <code>div</code> with the id of "bubbleContainer"

```HTML
<div id="bubbleContainer">
    <div class="bubble"> </div>
</div>
```

Finally, you'll want to actually style these elements.  In this example we will use the following styling:

```css
#bubbleContainer {
    position: relative;
    float: left;
    width: 100%;
    height: 300px;
    background: #222;
}

.bubble {
    position: absolute;
    width: 10px;
    height: 10px;
    border-radius: 100%;
    background: rgba(151, 71, 171, .5);
}
```

Notice how the .bubble has absolute positioning and #bubbleContainer has relative.  This is required in order for this code to work.  

Other than having the positioning you can style these elements as you wish.
